std::ranges::enumerate_view::begin(3)

NAME
std::ranges::enumerate_view::begin - std::ranges::enumerate_view::begin

Synopsis
   constexpr auto begin() requires (!__simple_view<V>); (1) (since C++23)
   constexpr auto begin() const requires (2) (since C++23)
   /*range-with-movable-references*/<const V>;
   Returns an iterator to the first element of the enumerate_view.
   Let base_ denote the underlying view.
   1) Equivalent to return /*iterator*/<false>(ranges::begin(base_), 0);.
   2) Equivalent to return /*iterator*/<true>(ranges::begin(base_), 0);.

Parameters
   (none)

Return value
   Iterator to the first element.

Example
    This section is incomplete
    Reason: no example

See also
   end returns an iterator or a sentinel to the end
   (C++23) (public member function)
   ranges::begin returns an iterator to the beginning of a range
   (C++20) (customization point object)

Category:
     * Todo no example